com.microfocus.awm.model

## Class AbstractLocalSystemProvider

- java.lang.Object
- - com.microfocus.awm.model.AbstractLocalSystemProvider

- All Implemented Interfaces:
    ISystemProvider
  Direct Known Subclasses:
    DefaultConfigurationSystemProvider, LocalSystemProvider

      public abstract class AbstractLocalSystemProvider
      extends java.lang.Object
      implements ISystemProvider

  Abstract class for local system providers which simply implements `ISystemProvider.getRemoteSystemImages()` by always returning `null`.
  Author:
    RalfP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLocalSystemProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ISystemImage>` | `getRemoteSystemImages()` Returns a list of remote system images, if the system provider supports AWM systems which are created from remote system connections.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.ISystemProvider

      `getID, getSystemProxies, loadPersistedSystem`

- - ### Constructor Detail

    - #### AbstractLocalSystemProvider

          public AbstractLocalSystemProvider()

  - ### Method Detail

    - #### getRemoteSystemImages

          public java.util.List<ISystemImage> getRemoteSystemImages()

      Description copied from interface: `ISystemProvider`
      Returns a list of remote system images, if the system provider supports AWM systems which are created from remote system connections. This is used e.g. for associating local AWM systems to remote systems.
      Specified by:
        `getRemoteSystemImages` in interface `ISystemProvider`
      Returns:
        a list of system images or `null` if the provider does not support any.

Copyright © 2015 Micro Focus GmbH. All rights reserved.